# Method: mobiledevices.get

Retrieves a mobile device's properties.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/mobile/{resourceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |
| `resourceId` | `string` The unique ID the API service uses to identify the mobile device. |

### Query parameters

| Parameters ||
|---|---|
| `projection` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices/get#Projection`)`` Restrict information returned to a set of selected fields. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices#MobileDevice`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.mobile`
- `
  https://www.googleapis.com/auth/admin.directory.device.mobile.action`
- `
  https://www.googleapis.com/auth/admin.directory.device.mobile.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Projection

| Enums ||
|---|---|
| `BASIC` | Includes only the basic metadata fields (e.g., deviceId, model, status, type, and status) |
| `FULL` | Includes all metadata fields |